#!/bin/bash

function run
{
   export LOGFILE=streammine3G-$1.log
   export LOGFILEZOOKEEPER=zookeeper-$1.log
   #(valgrind --log-file=valgrind-$1.log --leak-check=full --show-reachable=yes --track-origins=yes --suppressions=valgrind.supp StreamMine3GDebug node$1.mycloud.com --port $((10000 + $1)) --threads 1 --managerLibrary libStreamMine3G-SimpleManagerStatic.so --managerNode node0.mycloud.com 2>&1 1>&3 | tee streammine3G-$1.err ) 3>&1 1>&2 |  tee streammine3G-$1.out &
   (StreamMine3G node$1.mycloud.com --port $((10000 + $1)) --managerLibrary libStreamMine3G-SimpleManagerStatic.so --managerNode node0.mycloud.com 2>&1 1>&3 | tee streammine3G-$1.err ) 3>&1 1>&2 |  tee streammine3G-$1.out &
   if [ $1 == 0 ]; then sleep 1; fi
}  

for i in {0..2}; do run $i; done
